%define debug_package %{nil}
%define daemon_user monitor
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
Summary: op5 Monitor specific reports
Name: monitor-op5reports
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/monitor
URL: https://www.itrsgroup.com
Source0: %name-%version.tar.gz
Prefix: /opt/monitor/op5/ninja
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: monitor-ninja >= 3.1
Requires: php-op5lib
Requires: op5-monitor-supported-database
BuildRequires: monitor-ninja-devel
Requires: php
BuildRequires: php

%description
op5 Monitor specific reports

%package test
Summary: Test suite for op5 reports
Group: op5/monitor
Requires: monitor-op5reports = %version
# We run through ninja's test suite, so make sure all its deps are installed
Requires: monitor-ninja-test
Requires: op5int_webtest

%description test
Test suite for op5 reports

%prep
%setup -q

%build
make

%check
make test

%install
rm -rf %buildroot
mkdir -p %buildroot%prefix/modules
cp -r op5reports %buildroot%prefix/modules/

%files
%prefix/modules/op5reports

%files test
%defattr(-,%daemon_user,%daemon_group)

%clean
rm -rf %buildroot
